play.db

## Interface Model.Factory

- All Known Implementing Classes:
    JPAModelLoader
  Enclosing interface:
    Model

      public static interface Model.Factory

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Long` | `count(java.util.List<java.lang.String> properties, java.lang.String keywords, java.lang.String where)`
    `void` | `deleteAll()`
    `java.util.List<Model>` | `fetch(int offset, int length, java.lang.String orderBy, java.lang.String orderDirection, java.util.List<java.lang.String> properties, java.lang.String keywords, java.lang.String where)`
    `Model` | `findById(java.lang.Object id)`
    `java.lang.String` | `keyName()`
    `java.lang.Class<?>` | `keyType()`
    `java.lang.Object` | `keyValue(Model m)`
    `java.util.List<Model.Property>` | `listProperties()`

- - ### Method Detail

    - #### keyName

          java.lang.String keyName()

    - #### keyType

          java.lang.Class<?> keyType()

    - #### keyValue

          java.lang.Object keyValue(Model m)

    - #### findById

          Model findById(java.lang.Object id)

    - #### fetch

          java.util.List<Model> fetch(int offset,
                                      int length,
                                      java.lang.String orderBy,
                                      java.lang.String orderDirection,
                                      java.util.List<java.lang.String> properties,
                                      java.lang.String keywords,
                                      java.lang.String where)

    - #### count

          java.lang.Long count(java.util.List<java.lang.String> properties,
                               java.lang.String keywords,
                               java.lang.String where)

    - #### deleteAll

          void deleteAll()

    - #### listProperties

          java.util.List<Model.Property> listProperties()

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly